View Issue Details

IDProjectCategoryView StatusLast Update
0016262ScribusUser Interfacepublic2020-10-23 14:44
Reporterale Assigned Toale  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0016262: Recover files: close the dialog if after recover / delete there is no more file in the list
Descriptionnow that the files are automatically selected, it would be nice if the dialog would automatically close if, after having taken an action, there is no file anymore in the list.
TagsNo tags attached.
PatchYes

Activities

ale

2020-10-22 09:19

manager  

recover-accept.diff (441 bytes)
diff --git a/scribus/ui/recoverdialog.cpp b/scribus/ui/recoverdialog.cpp
index eead91c63..657fbd98a 100644
--- a/scribus/ui/recoverdialog.cpp
+++ b/scribus/ui/recoverdialog.cpp
@@ -121,7 +121,10 @@ void RecoverDialog::doRemove()
 	{
 		m_files.removeAll(filesToRemove[a]);
 	}
-	updateFilesTable();
+	if (filesList->rowCount() == filesToRemove.count())
+		accept();
+	else
+		updateFilesTable();
 }
 
 void RecoverDialog::updateFilesTable()
recover-accept.diff (441 bytes)

Issue History

Date Modified Username Field Change
2020-10-08 07:06 ale New Issue
2020-10-22 09:19 ale File Added: recover-accept.diff
2020-10-22 09:21 ale Summary recover files: close the dialog if after recover / delete there is no more file in the list => [PATCH] recover files: close the dialog if after recover / delete there is no more file in the list
2020-10-22 09:21 ale Patch No => Yes
2020-10-23 14:44 jghali Summary [PATCH] recover files: close the dialog if after recover / delete there is no more file in the list => Recover files: close the dialog if after recover / delete there is no more file in the list
2020-10-23 14:44 jghali Assigned To => ale
2020-10-23 14:44 jghali Status new => resolved
2020-10-23 14:44 jghali Resolution open => fixed
2020-10-23 14:44 jghali Fixed in Version => 1.5.6.svn